说明：地址路径必传：groupCode，dmpServer

### 查询项目基本信息

POST /admin/dmp/org/project/query?groupCode=WD

```JSON
{
    "criteria": {
        "id": "Pj1101050029"
    }
}
```

返回结果

```
{
    "result": "success",
    "data": [
        {
            "id": "Pj1101050029",
            "name": "东坝万达",
            "groupCode": "WD",
            "status": 1,
            "createUser": "system",
            "createTime": 1604043512000,
            "updateUser": "systemId ",
            "updateTime": 1604044787000,
            "remark": "cec"
        }
    ],
    "count": 1
}
```

### 查询所有系统

POST /admin/dmp/rwd/def/class?projectId=Pj1101050029&groupCode=WD

```json
{
    "criteria": {
        "parentCode": "system"
    }
}
```

返回结果

```json
{
    "result": "success",
    "data": [
        {
            "id": "2a5932de25ce404bb47a9c6698278a48",
            "code": "OTXX",
            "objType": "system",
            "name": "其他系统",
            "aliasCode": "OTXX",
            "aliasName": "其他系统",
            "type": "common",
            "groupCode": "0",
            "projectId": "0",
            "majorCode": "OT",
            "parentCode": "system"
        }
    ]
}
```

### 查询设备类别

POST /admin/dmp/rwd/def/class?projectId=Pj1101050029&groupCode=WD

```JSON
{
    "criteria": {
        "parentCode": "equipment",
        "systemCode": "OTXX"
    }
}
```

返回结果

```json
{
    "result": "success",
    "data": [
        {
            "id": "116ebeeb6a5344aa99e994fdb7913837",
            "code": "OTXXEW",
            "objType": "equipment",
            "name": "洗眼器",
            "aliasCode": "OTXXEW",
            "aliasName": "洗眼器",
            "type": "common",
            "groupCode": "0",
            "projectId": "0",
            "majorCode": "OT",
            "systemCode": "OTXX",
            "parentCode": "equipment"
        }
    ]
}
```

### 查询所有设备信息点

POST /admin/dmp/rwd/def/funcid?projectId=Pj1101050029&groupCode=WD

说明：字段含义参考文档：http://39.102.54.110:9003/rwd/def_funcid.html

```json
{
    "criteria": {
        "classCode": "ACATAH"
    }
}
```

返回结果

```json
{
    "result": "success",
    "data": [
        {
            "id": "6ecfd1728752496494543a0a4cda9046",
            "code": "returnAirCO2Set",
            "origCode": "ReturnAirCO2Set",
            "name": "回风CO2浓度设定",
            "aliasCode": "ReturnAirCO2Set",
            "aliasName": "回风CO2浓度设定",
            "classCode": "ACATAH",
            "category": "GRADATION",
            "type": "common",
            "groupCode": "0",
            "projectId": "0",
            "firstTag": "设定参数",
            "secondTag": "设定值",
            "priority": "S",
            "unit": "ppm",
            "dataType": "DOUBLE",
            "isMultiple": false,
            "isRegion": false,
            "subFlag": false,
            "weakPoint": false
        }
    ]
}
```

### 查询设备数据

POST /dmp/rwd/instance/object/query?projectId=Pj1101050029&groupCode=WD

```JSON
{
    "criteria":{
        "objType":"equipment",
        "classCode":"ACATAH"
        //TODO 模糊查询
    }
}
```

 返回结果

```json
{
    "result": "success",
    "data": [
        {
            "id": "Eq1101050029022eb5d30eff4d33b42f246874650da8",
            "classCode": "ACATAH",
            "projectId": "Pj1101050029",
            "grouping": 1,
            "objType": "equipment",
            "valid": 1,
            "name": "设备-UYLQY",
            "localId": "ATAH-20",
            "localName": "吊顶式空气处理机组-F3公共通道-36",
            "createTime": 1604215886000,
            "createApp": "datautils",
            "updateTime": 1607945874000,
            "updateApp": "datautils",
            "virtualInfoCodes": [
                "supplyAirTempSet",
                "returnAirCO2Set",
                "manualAutoSet",
                "manualAutoSet",
                "manualAutoSet"
            ],
            "returnAirCO2Set": "ACATAH_0_returnAirCO2Set-903",
            "chillWaterValveOpening": "ACATAH_0_chillWaterValveOpening-901",
            "bimId": "Pj110105002906aa718c846811eaad6087efe914ab5cF3:2258189",
            "bimLocation": "92898.14,142160.46,13300.0",
            "runStatus": "ACATAH_0_runStatus-901",
            "chillWaterOutTemp": "ACATAH_0_chillWaterOutTemp-901",
            "inCloudStatus": "ACATAH_0_inCloudStatus-901",
            "supplyAirTempSet": "ACATAH_0_supplyAirTempSet-903",
            "manualAutoSet": "Eq1101050029022eb5d30eff4d33b42f246874650da8-206569120",
            "manualAutoStatus": "ACATAH_0_manualAutoStatus-901",
            "bimFamilyName": "ATAH-吊顶式空气处理机组",
            "freshAirValveOpening": "ACATAH_0_freshAirValveOpening-901",
            "frozenAlarm": "ACATAH_0_frozenAlarm-902",
            "equipSwitchSet": "ACATAH_0_equipSwitchSet-903",
            "supplyAirTemp": "ACATAH_0_supplyAirTemp-901",
            "bimFamilySymbol": "AHU-D2",
            "primFilterAlarm": "ACATAH_0_primFilterAlarm-902",
            "returnAirTemp": "ACATAH_0_returnAirTemp-901",
            "returnAirTempSet": "ACATAH_0_returnAirTempSet-903",
            "returnAirValveOpening": "ACATAH_0_returnAirValveOpening-901",
            "cADID": "ATAH-20:吊顶式空气处理机组-F3公共通道-36",
            "returnAirRH": "ACATAH_0_returnAirRH-901",
            "onlineStatus": "ACATAH_0_onlineStatus-901",
            "faultStatus": "ACATAH_0_faultStatus-901"
        }
    ],
    "count": 170
}
```

### 查询实时数据

POST /admin/dmp/rwd/iot/data/current?projectId=Pj1101050029&groupCode=WD

```json
[
    {
        "objectId": "Eq1101050029022eb5d30eff4d33b42f246874650da8",//设备id
        "infoCode": "runStatus"//信息点编码
    }
]
```

返回结果

```json
{
    "result": "success",
    "data": [
        {
            "objectId": "Eq110108025902ea357a35d94cbab6471b7ac64fd2da",//设备id
            "infoCode": "concentrate",//信息点
            "infoValue": "9931-11301",//表号功能号
            "time": "20210322175936",//时间
            "data": 1016.0,//值
            "meter": "9931",//表号
            "function": "11301"//功能号
        }
    ]
}
```

