package com.persagy.dmp.rwd.edit;

import com.fasterxml.jackson.databind.node.ObjectNode;
import com.persagy.common.criteria.JacksonCriteria;
import com.persagy.common.json.JacksonMapper;
import com.persagy.common.web.MapResponse;
import com.persagy.common.web.PagedResponse;
import com.persagy.dmp.rwd.edit.entity.RwdeditRefTypeInfos;
import com.persagy.dmp.rwd.edit.service.RwdeditRefTypeInfosService;
import lombok.extern.slf4j.Slf4j;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringRunner;

@Slf4j
@SpringBootTest
@RunWith(SpringRunner.class)
public class RefTypeInfoTest {

    @Autowired
    private RwdeditRefTypeInfosService rwdeditRefTypeInfosService;

    /**
     * 查询引用类型详情
     */
    @Test
    public void query() {
        JacksonCriteria criteria = JacksonCriteria.newInstance();
        criteria.add("parentCode").isNull(true);
        PagedResponse<RwdeditRefTypeInfos> query = rwdeditRefTypeInfosService.query(criteria);
        System.err.println(JacksonMapper.toFormatJson(query));
    }

    /**
     * 创建引用类型详情
     */
    @Test
    public void create() {
        RwdeditRefTypeInfos param = new RwdeditRefTypeInfos();
        param.setRefKey("ref01");
        param.setCode("info01");
        param.setName("info01");
        param.setParentCode("info01");
        ObjectNode object = JacksonMapper.toObject("{test:test}", ObjectNode.class);
        param.setDataSource(object);
        MapResponse response = rwdeditRefTypeInfosService.create(param);
        System.err.println(JacksonMapper.toFormatJson(response));
    }

    /**
     * 修改引用类型详情
     */
    @Test
    public void update() {
        RwdeditRefTypeInfos param = new RwdeditRefTypeInfos();
        param.setRefKey("ref01");
        param.setCode("info01");
        param.setName("info02");
        MapResponse response = rwdeditRefTypeInfosService.update(param);
        System.err.println(JacksonMapper.toFormatJson(response));
    }

    /**
     * 删除引用类型详情
     */
    @Test
    public void delete() {
        RwdeditRefTypeInfos param = new RwdeditRefTypeInfos();
        param.setRefKey("ref01");
        param.setCode("info01");
        MapResponse response = rwdeditRefTypeInfosService.delete(param);
        System.err.println(JacksonMapper.toFormatJson(response));
    }

}
